using System;
using ThinkGeo.MapSuite.Core;

namespace CSSamples.Samples
{
    public partial class DisplayASimpleMap : System.Web.UI.Page
    {
        private const string SessionFlag = "Flag";

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                MapInitialize();
            }
        }

        protected void Button1_Click(object sender, EventArgs args)
        {
            Session.Clear();
        }

        protected override object SaveViewState()
        {
            if (Session[SessionFlag] == null)
            {
                MapInitialize();
            }

            return base.SaveViewState();
        }

        private void MapInitialize()
        {
            Session[SessionFlag] = "True";

            Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"));
            Map1.CurrentExtent = new RectangleShape(-140, 60, 140, -60);
            Map1.MapUnit = GeographyUnit.DecimalDegree;

            ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer(MapPath("~/SampleData/world/cntry02.shp"));
            worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(255, 243, 239, 228), GeoColor.FromArgb(255, 218, 193, 163), 1);
            worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            Map1.StaticOverlay.Layers.Add(worldLayer);
        }
    }
}
